QwtScaleArithmetic Class Reference

Arithmetic including a tolerance. More...

`#include <qwt_scale_engine.h>`

## Static Public Member Functions

static double | ceilEps (double value, double intervalSize)
static double | floorEps (double value, double intervalSize)
static double | divideEps (double intervalSize, double numSteps)
| Divide an interval into steps. More...
static double | divideInterval (double intervalSize, int numSteps, uint base)

## Detailed Description

Arithmetic including a tolerance.

## Member Function Documentation

## ceilEps()

double QwtScaleArithmetic::ceilEps | ( | double | value,
|  | double | intervalSize
| ) |  |

static

Ceil a value, relative to an interval

Parameters

  value | Value to be ceiled
  intervalSize | Interval size

Returns
  Rounded value

See also
  floorEps()

## divideEps()

double QwtScaleArithmetic::divideEps | ( | double | intervalSize,
|  | double | numSteps
| ) |  |

static

Divide an interval into steps.

Parameters

  intervalSize | Interval size
  numSteps | Number of steps

Returns
  Step size

## divideInterval()

double QwtScaleArithmetic::divideInterval | ( | double | intervalSize,
|  | int | numSteps,
|  | uint | base
| ) |  |

static

Calculate a step size for a given interval

Parameters

  intervalSize | Interval size
  numSteps | Number of steps
  base | Base for the division ( usually 10 )

Returns
  Calculated step size

## floorEps()

double QwtScaleArithmetic::floorEps | ( | double | value,
|  | double | intervalSize
| ) |  |

static

Floor a value, relative to an interval

Parameters

  value | Value to be floored
  intervalSize | Interval size

Returns
  Rounded value

See also
  floorEps()